Bug 448346 - Feature request: please put mach64.ko in kernel packages
Feature request: please put mach64.ko in kernel packages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-26 02:06 EDT by Vince Schiavoni
Modified: 2009-07-14 13:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:30:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vince Schiavoni 2008-05-26 02:06:36 EDT
Description of problem:
Although the mach64.ko kernel module is part of the kernel package, this 
feature request actually applies to mesa-libGL:

Please include the mach64.ko kernel module for ATI Rage Pro-class chipsets in 
all future builds.

Why has this been delayed again?  By the time this kmod is inculded, there 
won't be anyone with Rage Pro chipsets left alive.  The "security" concerns 
that supposedly kept this out for so long were fixed two-and-a-half years ago, 
according to the dri.freedesktop.org wiki: http://dri.freedesktop.org/wiki/
ATIMach64?highlight=%28CategoryHardwareChipset%29
and also on the dri-users mailing lists, George F. fixed this in about Dec. 
2006.  There's people out there with these chipsets that could use this kmod, 
and I've built it and been using it for some time now, and so have other 
people: http://forums.fedoraforum.org/forum/showthread.php?t=185162
It works great, but it would be really, really great if this was included in 
Fedora kernel packages.

If there is still a security concern, can someone (David Airlie?) please 
address it and give a definitive answer as to whether it's fixed or not, and if 
not, why?

Version-Release number of selected component (if applicable):
kernel-2.6.25*.fc9
kernel-2.6.24*.fc8
mesa-libGL*

How reproducible:
Always.

Steps to Reproduce:
1. Install Fedora on a PC.
2. Watch no DRI happen with Rage Pro chipsets.
3. Watch DRI be OK with mach64.ko built from DRI git.
  
Actual results:
No Direct Rendering.

Expected results:
Direct Rendering enabled.

Additional info:
See links referenced above.

Thanx and Regards,
VJS
Comment 1 Vince Schiavoni 2008-05-28 13:56:30 EDT
See also: https://bugs.freedesktop.org/show_bug.cgi?id=6242

That "bug" is marked as "RESOLVED" and "FIXED" and has been closed since 
10-03-2006.

Thanx and Regards,
VJS
Comment 2 Jonathan Dawson 2008-06-04 18:16:37 EDT
Mandriva One 2008 Spring Edition live cd has this enabled out of the box and it
works. Pity that the wireless causes a kernel panic when using rt61pci due to
the old kernel shipped. I would have moved to that rather than f9 otherwise.
Comment 3 Mike Rock 2008-06-23 18:14:45 EDT
I'd have to say, I love the old Apple hardware that runs on the PPC platform 
and utilizes the ATI Rage Pro video chipset.  And it vexes me exceedingly that 
the Fedora 9 system requirements page lists G3 iMacs as being compatible with 
Sulphur.

When I wanted to install Fedora, I was expecting the good ol', beautiful GUI 
installer, but after my screen went completely blank, I had to revert to a text 
install.  And I still don't have a GUI, because, as I'm told, this kernel 
module is missing from my install.

I'm no computer expert (at ALL), but come on, guys!  If this "security issue" 
has been resolved for nearly two years, get with the program!

All us people with ATI Rage Pro vid cards and unusable FC9 installs are waiting 
with baited breath.
Comment 4 Vince Schiavoni 2008-10-27 18:52:02 EDT
So, what's the deal here, Mr. David Airlie?

Not only is the mach64.ko kernel module not included in F10 (Alpha/Beta/RCx) kernels, but the mach64_dri.so driver itself has been dropped from the mesa-dri-drivers package:

Quote:
* Fri Sep 05 2008 Dave Airlie <airlied@redhat.com> 7.2-0.1
- latest snapshot - r300 bufmgr code
- stop building mach64, patch around some intel issues

We've asked nicely. I think that a quick, simple note here, explaining why this driver/kmod can't/won't be supported by Fedora, is not much to ask.

At the very least, if this bug report/feature request is not going to be acted on, please close it with a "Won't Fix", preferably stating why.

Regards,
VJSchiavoni
Comment 5 Adam Jackson 2008-10-30 14:24:56 EDT
At this point adding mach64 drm support isn't likely to happen for F10, at least not for general release.  It's not present in the upstream kernel, and no one seems to care enough about mach64 to make that happen.  We can look into getting it merged though.

However, mach64 drm support is _not_ required for graphical functionality in Fedora.  If, as in comment #3, you are unable to get plain 2d working on mach64, then that's unfortunate, but a separate bug.
Comment 6 Vince Schiavoni 2008-11-06 22:47:18 EST
(In reply to comment #5)
> At this point adding mach64 drm support isn't likely to happen for F10, at
> least not for general release.  It's not present in the upstream kernel, and no
> one seems to care enough about mach64 to make that happen.  We can look into
> getting it merged though.
> 
> However, mach64 drm support is _not_ required for graphical functionality in
> Fedora.  If, as in comment #3, you are unable to get plain 2d working on
> mach64, then that's unfortunate, but a separate bug.

I do not understand: "It's not present in the upstream kernel...". The mach64 drivers are not part of the kernel. True: the kmods are shipped with the kernels, and require the kernel to compile, but the code is part of Mesa/DRI. It's a matter of simply including "mach64" in the list of DRI kmods to compile. Nor do I understand the "security" concern: even if it still exists, if so few people use the driver such that "no one seems to care", then there can't be much security to be concerned about.

Regards,
VJS
Comment 7 Bug Zapper 2009-06-09 21:11:10 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 13:30:58 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.